# -*- coding: utf-8 -*-
from openerp import models, fields, tools, api
import openerp.addons.decimal_precision as dp

class cashbox_statement_confirm(models.Model):
    _name = "cashbox.statement.confirm"

    name = fields.Char('name', required=True)
    ref = fields.Char('Ref')
    date = fields.Date()
    active = fields.Boolean('Active', default=True)
    message_confirm = fields.Text('Message Confirm')
    ### Statement confirm - open
    statement_id = fields.Many2one('account.bank.statement', 'Bank Statement Confirm')
    statement_open = fields.Many2one('account.bank.statement', 'Bank Statement Open')
    ## User statement - User Confirm
    user_statement = fields.Many2one('res.users', 'Res user')
    user_confirm = fields.Many2one('res.users', 'Res user')
    ## Journal
    journal_id = fields.Many2one('account.journal', 'Journal')
    ## Line
    line_difference = fields.Many2one('account.bank.statement.line', 'Bank statement line difference')
    line_next_open = fields.Many2one('account.bank.statement.line', 'Bank statement line next open statement')
    ### Amount
    amount_statement = fields.Float('Amount Statement', digits_compute=dp.get_precision('Account'), required=True)
    amount_real = fields.Float('Amount Real', digits_compute=dp.get_precision('Account'), required=True)
    amount_difference = fields.Float('Amount Difference', digits_compute=dp.get_precision('Account'), required=True)
    amount_next_open =  fields.Float('Amount Next open statement', digits_compute=dp.get_precision('Account'), required=True)
    ## estado del regsitro
    state_avaliable = fields.Boolean('Avaliable', default=True, help="True : disponible, False : Utilizado")
    casbox_transfer_id =fields.Many2one('cash.box.transfer', 'cashBox transfer')

    '''
        @fields statement_id        = Id de la caja que se esta cerrando.
        @fields user_statement      = Id del propietario de la caja.
        @fields journal_id          = Id del diario de la caja.
        @fields line_difference     = Id de la linea de la caja donde se registro la diferencia del cierre.
        @fields line_next_open      = Id de la linea donde se registro el monto de próxima apertura de caja.
        @fields amount_statement    = Monto en la caja del sistema.
        @fields amount_real         = Monto real del cierre de la caja.
        @fields amount_difference   = Monto de la diferencia del cierre.
        @fields amount_next_open    = Monto de la próxima apertura de caja.
        @fields user_confirm        = Usuario que cerro la caja
        @fields statement_open      = Id de la caja que utilize el saldo disponible para proxima apertura
        @fields state_avaliable     = 'True': disponible, 'False': Utilizado
        @fields casbox_transfer_id  = id transferencia
    '''
